Exchange your OAuth client credentials for a short-lived access token. Submit this request as application/x-www-form-urlencoded. Use the returned Bearer token on subsequent calls to /api/external/* endpoints. Client credentials tokens do not return refresh tokens.

POSTapi-prod.blaaiz.com/oauth/token

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

Get OAuth access token
curl --request POST \  --url 'https://example.com/oauth/token' \  --header 'Content-Type: application/x-www-form-urlencoded' \  --data 'grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET&scope=wallet%3Aread+payout%3Acreate+transaction%3Aread'
{  "token_type": "Bearer",  "expires_in": 900,  "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."}